Subject: Re: bug#31288: [PATCH v2] Make cairo build usable
From: YAMAMOTO Mitsuharu <[email-masked]>
To: Ari Roponen <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Tue, 26 Mar 2019 16:45:15 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 26 Mar 2019 15:13:58 +0900,
Ari Roponen wrote:
> 
> YAMAMOTO Mitsuharu <[email-masked]> writes:
> 
> > It causes display corruption when scroll bars are on the left.  I
> > think the patch below will fix it.
> >
> > 				     YAMAMOTO Mitsuharu
> > 				[email-masked]
> 
> Yes, I can see the corruption too, and your patch fixes it. Thank you.

Thanks for checking.  I pushed the following to master.

				     YAMAMOTO Mitsuharu
				[email-masked]

commit 9a6cba2bd397414c68217f4f5a9ea2888293ae1c
Author: YAMAMOTO Mitsuharu <[email-masked]>
Date:   Tue Mar 26 16:39:07 2019 +0900

    Fix cairo scrolling for left scroll bars case
    
    * src/xterm.c (x_scroll_run) [USE_CAIRO]: Fix scrolling by unusing
    WINDOW_LEFT_EDGE_X.  (Bug#31288)